uniform mat4 projection_matrix;
uniform vec2 Translate;

attribute vec2 Position;
attribute vec2 TexCoord;
attribute vec4 Color;

varying vec2 pass_texcoord;
varying vec4 pass_color;

void main()
{
	gl_Position = projection_matrix * vec4(Position.xy + Translate, -1.0, 1.0) ;
	pass_texcoord = TexCoord.xy;
	pass_color = Color;
}
