uniform mat4 mvp_matrix;


attribute vec3 Position;
attribute vec2 TexCoord;

varying vec2 pass_texcoord;

void main()
{
	gl_Position = mvp_matrix * vec4(Position, 1.0) ;
	gl_Position.z = Position.z;
	pass_texcoord = TexCoord.xy;
	
}
