varying vec4 pass_color;

varying vec3 normal;
varying vec3 globalpos;

uniform vec3 lightpos;
uniform vec3 lightdiffuse;

void main()
{
	vec3 l = normalize(lightpos - globalpos);
	vec4 diff = vec4(lightdiffuse * max(dot(normal, l), 0.0), 1.0);
	diff = clamp(diff, 0.2, 1.0);
	gl_FragColor = pass_color * diff;

}
